%define lib_major       2
%define lib_name        %mklibname ffado %{lib_major}
%define lib_name_devel  %mklibname ffado -d

Name:           libffado
Summary:        Firewire audio drivers for JACK
Version:        2.4.5
Release:        %mkrel 1
License:        GPLv2+ and GPLv3
Group:          Sound
URL:            http://www.ffado.org/
Source:         http://www.ffado.org/files/%{name}-%{version}.tgz

BuildRequires:  python-scons
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(libraw1394)
BuildRequires:  pkgconfig(libiec61883)
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(jack)
BuildRequires:  python3-qt5-devel
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(dbus-c++-1)
BuildRequires:  python3-dbus

%description
The FFADO library provides a generic, open-source solution for the
support of FireWire based audio devices for the Linux platform. It is the
successor of the FreeBoB project. Currently this library is used by the
firewire backends of the jack audio connection kit sound server
(jackit package). This backend provides audio and midi support,
and is available in both jack1 and jack2.

#-----------------------------------

%package -n %{lib_name}
Summary:        Firewire audio drivers for JACK
Group:          System/Libraries

%description -n %{lib_name}
The FFADO library provides a generic, open-source solution for the
support of FireWire based audio devices for the Linux platform. It is the
successor of the FreeBoB project. Currently this library is used by the
firewire backends of the jack audio connection kit sound server
(jackit package). This backend provides audio and midi support,
and is available in both jack1 and jack2.

%files -n %{lib_name}
%doc AUTHORS ChangeLog LICENSE.* README
%{_libdir}/libffado.so.%{lib_major}
%{_libdir}/libffado.so.%{lib_major}.*

#-----------------------------------

%package -n ffado
Summary:        Firewire audio driver applications and utilities
Group:          Sound
Requires:       %{lib_name} = %{version}-%{release}
Requires:       python3-dbus
Requires:       qttools5-qtdbus
Requires:       python3-qt5

%description -n ffado
Configuration utilities for the FFADO firewire drivers.

%files -n ffado
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/python
%{_datadir}/%{name}/configuration
%{_datadir}/%{name}/icons
%{_datadir}/%{name}/*.xml
%{_datadir}/applications/%{_real_vendor}-ffado-mixer.desktop
%{_datadir}/dbus-1/services/org.ffado.Control.service
%{_udevrulesdir}/60-ffado.rules
%{python3_sitelib}/ffado/
%{_mandir}/man1/*
%{_datadir}/metainfo/ffado-mixer.appdata.xml

#-----------------------------------

%package -n %{lib_name_devel}
Summary:        Firewire audio driver library development headers
Group:          Development/Libraries
Requires:       %{lib_name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against libffado.

%files -n %{lib_name_devel}
%{_libdir}/%{name}.so
%{_libdir}/libffado/static_info.txt
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}.pc

#-----------------------------------

%prep
%setup -q

%build
%scons \
    PREFIX=%{_prefix} \
    LIBDIR=%{_libdir} \
    PYTHON_INTERPRETER=%{__python3} \
    PYPKGDIR=%{python3_sitelib} \
    UDEVDIR=%{_udevrulesdir} \
    CFLAGS="%{optflags} -std=gnu++11" \
    CXXFLAGS="%{optflags} -std=gnu++11"

%install
%scons_install \
    PREFIX=%{_prefix} \
    LIBDIR=%{_libdir} \
    MANDIR=%{_mandir}

install -D -m 0644 support/tools/ffado-sandbox-install.py %{buildroot}%{_datadir}/libffado/python

mkdir -p %{buildroot}%{_datadir}/applications
#make desktop file
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-ffado-mixer.desktop <<EOF
[Desktop Entry]
Name=Ffado Mixer
Comment=Mixer for Firewire Audio Devices
Exec=ffado-mixer
Icon=hi64-apps-ffado
Terminal=false
Type=Application
Categories=AudioVideo;Audio;
EOF


%changelog
* Wed Oct 05 2022 tex - 2.4.5-1pclos2022
- new version

* Tue Jun 04 2019 tex - 2.4.1-2pclos2019
- rebuild against updates

* Tue May 07 2019 tex 2.4.1-1pclos2019
- Update to version 2.4.1
